### Enumeration

# Qmi WdsRat3gpp

since: 1.0

#### Declaration

    flags Qmi.WdsRat3gpp

#### Description [src]

Flags specifying the 3GPP-specific Radio Access Technology, when the data bearer network type is `QMI_WDS_NETWORK_TYPE_3GPP`.

Available since: 1.0

#### Members

`QMI_WDS_RAT_3GPP_NONE`

  Unknown, to be ignored.

  - Value: `0`
  - Available since: 1.0
`QMI_WDS_RAT_3GPP_WCDMA`

  WCDMA.

  - Value: `1`
  - Available since: 1.0
`QMI_WDS_RAT_3GPP_GPRS`

  GPRS.

  - Value: `2`
  - Available since: 1.0
`QMI_WDS_RAT_3GPP_HSDPA`

  HSDPA.

  - Value: `4`
  - Available since: 1.0
`QMI_WDS_RAT_3GPP_HSUPA`

  HSUPA.

  - Value: `8`
  - Available since: 1.0
`QMI_WDS_RAT_3GPP_EDGE`

  EDGE.

  - Value: `16`
  - Available since: 1.0
`QMI_WDS_RAT_3GPP_LTE`

  LTE.

  - Value: `32`
  - Available since: 1.0
`QMI_WDS_RAT_3GPP_HSDPAPLUS`

  HSDPA+.

  - Value: `64`
  - Available since: 1.0
`QMI_WDS_RAT_3GPP_DCHSDPAPLUS`

  DC-HSDPA+.

  - Value: `128`
  - Available since: 1.0
`QMI_WDS_RAT_3GPP_64QAM`

  64QAM. Since 1.18.

  - Value: `256`
  - Available since: 1.0
`QMI_WDS_RAT_3GPP_TDSCDMA`

  TD-SCDMA. Since 1.18.

  - Value: `512`
  - Available since: 1.0
`QMI_WDS_RAT_3GPP_5GNR`

  5GNR. Since 1.36.

  - Value: `1024`
  - Available since: 1.0
`QMI_WDS_RAT_3GPP_NULL_BEARER`

  No bearer.

  - Value: `32768`
  - Available since: 1.0

#### Type functions

###### qmi_wds_rat_3gpp_build_string_from_mask

Builds a string containing a comma-separated list of nicknames for each `QmiWdsRat3gpp` in `mask`.

since: 1.0